Web lists-archives.com

Bug#914294: ITP: node-default-require-extensions -- Node's default require extensions as a separate module




Package: wnpp
Severity: wishlist
Owner: Nicolas Mora <nicolas@xxxxxxxxxxxxxx>
X-Debbugs-CC: debian-devel@xxxxxxxxxxxxxxxx

* Package name    : node-default-require-extensions
  Version         : 2.0.0
Upstream Author : James Talmage <james@xxxxxxxxxx> (github.com/jamestalmage)
* URL             : https://github.com/avajs/default-require-extensions
* License         : Expat
  Programming Lang: JavaScript
Description : Node's default require extensions as a separate module

Handy for require extension authors that want reliable access to the default
 extension implementations.
 .
By the time your extension is loaded, the default extension may have already been replaced. This provides extensions functionally identical to the default ones, which you know you can access reliably, no matter what extensions have
 been installed previously.
 .
 Node.js is an event-based server-side JavaScript engine.

This package is a dependency for the package node-append-transform